@import "variables.pcss";

button,
input,
label,
textarea {
	font-family: $font-sans-serif;
	font-size: 0.89rem;
	border-radius: 2px;
}

button {
	&,
	&[type="button"],
	&[type="reset"],
	&[type="submit"] {
		-moz-appearance: none;
		-webkit-appearance: none;

		@mixin button;
	}
}

input,
textarea {
	background-color: inherit;
	border: 1px solid var(--border-color);
	color: var(--foreground-color);
	padding: 0.25em;

	&::-webkit-input-placeholder {
		color: var(--foreground-color);
	}

	&::-moz-placeholder {
		color: var(--foreground-color);
	}

	&:-ms-input-placeholder {
		color: var(--foreground-color);
	}

	&:focus {
		box-shadow: 0 0 3px var(--border-color);
	}
}
